import 'xe-utils'
import 'vxe-table/lib/style.css'
import Vue from 'vue'
import {
  VXETable,
  Table,
  Column,
  Header,
  Footer,
  Filter,
  Edit,
  Menu,
  Export,
  Keyboard,
  Validator,
  Icon,
  Grid,
  Toolbar,
  Pager,
  Checkbox,
  Radio,
  Input,
  Button,
  Modal,
  Tooltip,
  Form,
  Select,
  Switch,
  List,
  Colgroup,
} from 'vxe-table'
const vxes = [
  Column,
  Header,
  VXETable,
  Footer,
  Filter,
  Edit,
  Menu,
  Export,
  Keyboard,
  Validator,
  Icon,
  Grid,
  Toolbar,
  Pager,
  Checkbox,
  Radio,
  Input,
  Button,
  Modal,
  Tooltip,
  Form,
  Select,
  Switch,
  List,
  Colgroup,
  Table,
]

export default function vxeTable() {
  vxes.forEach((v) => {
    Vue.use(v)
  })
}
// 给 vue 实例挂载内部对象，例如：
// Vue.prototype.$XModal = VXETable.modal
// Vue.prototype.$XPrint = VXETable.print
// Vue.prototype.$XSaveFile = VXETable.saveFile
// Vue.prototype.$XReadFile = VXETable.readFile
